﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：ca1b0f85-e7a8-4e1b-ab98-07a7aa31c8f5
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-08 16:43:07
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 本机配置
    /// </summary>
    [SugarTable("base_configInfo"), TenantAttribute("local")]
    public class BaseConfigInfo
    {
        /// <summary>
        /// 配置Id
        /// </summary>
        [SugarColumn(ColumnName = "config_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ConfigId { get; set; }

        /// <summary>
        /// 配置Key
        /// </summary>
        [SugarColumn(ColumnName = "config_key")]
        public string ConfigKey { get; set; }

        /// <summary>
        /// 配置名称
        /// </summary>
        [SugarColumn(ColumnName = "config_name")]
        public string ConfigName { get; set; }

        /// <summary>
        /// 配置值
        /// </summary>
        [SugarColumn(ColumnName = "config_value")]
        public string ConfigValue { get; set; }

        /// <summary>
        /// 是否启用：0-停用；1-启用
        /// </summary>
        [SugarColumn(ColumnName = "is_falg")]
        public int IsFlag { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
    }
}
