﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IMesProductOrderService:IBaseService<MesProductOrder>
    {

        /// <summary>
        /// 根据工单编号获取工单信息
        /// </summary>
        /// <param name="id">主键</param>
        /// <returns></returns>
        MesProductOrder GetMesOrderInfoById(int id);

        /// <summary>
        /// 更新MES工单信息
        /// </summary>
        /// <param name="orderInfo"></param>
        /// <returns></returns>
        bool UpdateOrderInfo(MesProductOrder orderInfo);
    }
}
