﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：a4dbd270-62c5-47db-a5f7-7e7cb895d15a
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-07 16:55:22
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 托盘信息
    ///</summary>
    [SugarTable("mes_base_pallet_info"), TenantAttribute("mes")]
    public class BasePalletInfo
    {
        /// <summary>
        /// 托盘ID 
        ///</summary>
        [SugarColumn(ColumnName = "pallet_info_id", IsPrimaryKey = true, IsIdentity = true)]
        public int PalletInfoId { get; set; }
        /// <summary>
        /// 托盘信息RFID编码，不能修改 
        ///</summary>
        [SugarColumn(ColumnName = "pallet_info_code")]
        public string PalletInfoCode { get; set; }
        /// <summary>
        /// 物料ID，关联物料信息主键 
        ///</summary>
        [SugarColumn(ColumnName = "material_id")]
        public long? MaterialId { get; set; }
        /// <summary>
        /// 物料编号 
        ///</summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }
        /// <summary>
        /// 物料名称 
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料条码 
        ///</summary>
        [SugarColumn(ColumnName = "material_barcode")]
        public string MaterialBarcode { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
        /// <summary>
        /// 创建人 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 更新人 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }
    }
}