﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：6741452a-5ee5-4405-9465-8aaa5c331cbc
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-10 16:40:11
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    [SugarTable("real_barCode_task"), TenantAttribute("scada")]
    public class RealBarCodeTask
    {
        /// <summary>
        /// 主键标识
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 小包条码
        /// </summary>
        [SugarColumn(ColumnName = "bar_code")]
        public string BarCode { get; set; }

        /// <summary>
        /// 计划编号
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string PlanCode { get;set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get;set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnName = "record_time")]
        public DateTime RecordTime { get; set; }
    }
}
