﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IRealBarCodeTaskService:IBaseService<RealBarCodeTask>
    {
        /// <summary>
        /// 保存条码队列信息
        /// </summary>
        /// <param name="task"></param>
        /// <param name="barCodeTasks"></param>
        /// <exception cref="InvalidOperationException"></exception>
        void InsertBarCodeTask(RealBarCodeTask task);

        /// <summary>
        /// 移除条码队列
        /// </summary>
        /// <param name="barCode"></param>
        /// <exception cref="InvalidOperationException"></exception>
        void RemoveBarCodeTask(string barCode);
    }
}
